== Changelog ==

= 3.1.1 =
*Release Date 22 March 2023*

* Fixed bug where switching status from the template list table would not update status within the template settings
* Added fix for fluent forms form editor layout issue
* Fixed fluent forms issue that occurs when you access pages directly and could cause a whiteout
* Fixed bug with site settings that could cause theme styles / vars to reset
* Fixed bug that could cause dropdowns to be offscreen
* Added fix for breakdance builder | while using an active template you couldn't access media modal from breakdance builder
* Added option to allow offcanvas panels to close on page change
* Fixed dropdowns on wp toolbar - drops now open on hover and links respond to shortcuts (command / ctrl click etc)

= 3.1.0 =
*Release Date 13 March 2023*

* Fixed styling on wordpress events widget in dark mode
* Added catch for plugins missing the correct closing div tags which could push the uipress app into the #wpcontent div which is hidden when templates are active
* Added filter to remove '&amp;' from links and item names in the admin menu
* Fixed issue with plugin update icons in safari
* Fixed issue where custom menu classes were only being applied on the dynamic menu
* Added catch for cron jobs so uipress does not run
* Removed vue router from active ui templates
* Fixed conflict issues with Crocoblock plugins and any other plugin using vue.js
* Fixed conflict with fluent forms & fluent crm
* Fixed issue with redirection plugin and any other plugin that could get stuck in a continuous loop (caused by query loop params being removed)
* Several performance updates
* Fixed tab block
* Added new background settings options (background image position, repeat and size)

= 3.0.99 =
*Release Date 20 February 2023*

* Fixed bug where importing some templates using dynamic site logo option could cause errors when no site logo set

= 3.0.98 =
*Release Date 17 February 2023*

* Fixed issue with named menu separators and the collapsed menu
* Fixed woocommerce order item select issue in dark mode
* Fixed issue with menu where it would remain in created language when user switched wp lang
* Fixed and cleaned up several inconsistencies with admin menu block and optimized the performance
* Removed 'hidden items' and rename / change icon option for admin menu block - these were conflicting too much with the advanced menu editor (pro)
* Added option to disable autoload on top level menu item click
* Fixed bug with hover style menu where custom icons in submenu would show as text
* Rewrote most of the admin menu logic
* Admin menu now inherits site language and responds to site language changes
* Admin pages are now added to the top of the menu by default
* Added theme styles to the global site settings area
* Fixed bug where templates would not load when using a language other than English with a full translation for uipress
* Fixed layout issue with plugin cookieYES
* Added work around for ultimo and auth0 plugin issues when using the 'wp_login_url' function
* Added new setup wizard

= 3.0.97 =
*Release Date 2 February 2023*

* Fixed style issue with background images on login page when using the centered form
* Fixed issue with basic theme where menu and toolbar overlapped gutenburg editor
* Several ux and ui improvements to the search block and added filter options
* Fixed issue with dropdowns where they could be difficult to close
* Added icon styles to button element
* Admin menu block now responds to default meta clicks for opening in new windows / new tabs etc
* Added site option setting for disabling dynamic loading
* Theme library now defaults to order by newest
* Added new frontend toolbar template type
* Admin menu can now be collapsed


= 3.0.96 =
*Release Date 27 January 2023*

* Fixed block settings showing options as pro when new style options have been added to the builder since the block was added to the template
* Added option to heading block to control icon size
* Fixed issue with multi select containers that would sometimes show as dark in light mode
* Fixed issue with fullscreen mode when using a standalone full screen button with the default full screen disabled you wouldn't be able to escape full screen
* fixed issue with displaying post modified date in the post tables not displaying the correct timezone time
* Fixed issue where code added to the head would fire in the frame and outside it
* Fixed issue with Elementor templates not showing sub menu for some items
* Added new login page features to style out the login page
* Added a new admin them option to the site settings that allows you to quickly enable a simple and modern admin theme to the wordpress admin without using the builder
* Added options to changed the 'howdy' message in the toolbar
* Added admin page link to the builder settings

= 3.0.95 =
*Release Date 15 December 2022*

* Added catch for incomplete classes from other plugins stored in user meta that could cause the builder to fail to load
* Fixed site settings logo display issue when using SVGs
* Fixed issue with translations not loading up
* Fixed bug with admin menu custom links showing as having submenus when they don't
* Fixed issue with some themes where setting a favicon in customiser would output it to the Gutenburg block editor and conflict with the chevron icon
* Fixed bug with offcanvas panels that could cause a page crash
* Added fullscreen option for code editors
* Added contextual click (right click) panel to blocks in the builder
* Removed floating options for block when hovering
* Added - on click block settings open in the builder
* Added ability to copy and paste blocks within the same template
* Added hover outlines to blocks in builder
* Reformatted block settings area, now split into 4 sections (settings, wrap, styles, advanced)
* Improved layers styling to improve user experience
* Settings tab now remains as you switch between blocks

= 3.0.94 =
*Release Date 9 December 2022*

* Fixed bug on multisite where switching between network admin and subsites was not working correctly

= 3.0.93 =
*Release Date 9 December 2022*

* Fixed bug on multisite where custom style vars were not being loaded up
* Fixed bug that would cause items not to be expanded in the treeview automatically when opening the settings panel
* Changed defaults for container block - now has a default 100% width and align set to row
* Offcanvas will now close all offcanvas panels on close - useful for when you are stacking panels within each other
* Added fixes for the display of sticky headers for surecart and seopress
* Updated container block icon to make more visual sense
* Fixed issue preventing uipress from recognising custom local avatars / profile images
* Added fixes for Zion and Divi builders so they open in fullscreen
* Updated selected block in the builder highlight color to cyan
* You can now command / ctrl click links in the admin menu to open in new tab
* Added patch to allow Query monitor plugin work
* Fixed bug with admin menu when in hover dropdown mode where the sub menu headers would take on top level header styles
* Added overflow scroll to recent templates dropdown in the builder
* Changed block settings to be open by default when you open a block
* Added new site logo option to the site settings
* Added block shortcuts to the builder

= 3.0.92 =
*Release Date 2 December 2022*

* Update woocommerce styles for lite and dark mode and added dark mode for block editor
* Added option to content block to allow disabling of fullscreen mode in top right corner
* Fixed conflicts with bricks builder and motion.page
* Fixed problem with negative margin if entry page was a block editor page
* Added catches to stop endless loading bar on content frame
* Fullscreen trigger was made smaller and more compact
* Fixed bug with menu editor when adding sub items to new custom top level items without an icon set
* Added fix for elementor so it opens in full screen mode
* Added option to disable admin menu auto update - If disabled only menu items that no longer exist will be removed from the menu. new plugins or other new menu items will not be added to the menu
* Added global site options with several new options including post table ids, post table last modified, plugin status in the table, remove jquery migrate
* Added new section called tools
* Added new tool: php error log
* Fixed conflicts with elementor, breakdance and oxygen - they will all now open full screen
* Fixed bug that prevented custom css from being loaded up on multisite when applying a template to subsites
* Fixed bug with builder preview where on smaller screens it was not scaling properly until device view was toggled
* Fixed bug with admin menu where it would not show certain sub menus when in inline or hover mode
* Fixed bug with admin menu in hover mode where the dropdown submenus were in the wrong place
* Added dark mode styles for the block editor

= 3.0.91 =
*Release Date - 26 November 2022*

* Fixed bug that cause some urls to have HTML entities in them and result in loading the wrong page
* Improved color contrast on danger buttons
* Added filters to template list | all | active | draft | templates | pages
* Fixed a bug with the inline block chooser. Blocks inserted with this panel would become unusable as they were not given a UID.
* Added catch for blank templates or templates without admin menu and page content block to stop them from being loaded.
* Fixed bug in firefox where choosing an image in the media library would not set correctly on templates
* Fixed issue with admin pages where default text colour was not being inherited
* Fixed issue with surecart and other plugins loading external sites through the admin

= 3.0.9 =
*Release Date - 24 November 2022*

* Fixes bug that could cause php error when fetching custom css


= 3.0.8 =
*Release Date - 24 November 2022*

* Fixed a bug that could cause menu icons when set to custom ones to show as text instead of icon
* Fixed issue causing custom css not to load within page frame
* Fixed warning about enqueuing style too early on some setups
* Improvements to the icon select, updated list of icons, bigger icon display, option to remove icon and refined UI.
* Fixed issue with extra padding at the bottom of admin pages
* fixed plugin / theme upload bug where uploading a plugin or theme through the frame would fail
* Fixed issue that could cause blank icons in the menu for plugins using base64 encoded images
* Fixed alignment of custom icons in the admin menu
* added UiPress formatted scrollbar to anything with an overflow
* Removed inherit as default for text formatting
* Added a loading animation to the user / role select options
* Fixed problem with adding admin pages and not setting an icon - would result in unusual text being shown instead
* Offcanvas blocks can now be set to 'push mode'
* Fixed tooltips from displaying off the bottom of the screen, they will now display above when close to the bottom
* Fixed a bug where if your entry page was a custom admin page and you had a ui template active, it would crash the app


= 3.0.7 =
*Release Date - 22 November 2022*

* Added whitelist function fix for mailpoet
* Improved mobile styles for theme content
* Fixed issue with patterns that could cause them to fail when opening block settings
* Several changes made to admin menu block under the hood to support added features in uipress pro
* Fixed issue that could cause admin pages to fail when ui template was not active

= 3.0.6 =
*Release Date - 21 November 2022*

* Fixed bug stopping customised admin menu from dropping menu items that no longer exist
* Fixed bug stopping customised admin menu showing new items to edit in the admin menu editor
* Fixed bug on first time welcome message where clicking view templates would result in a blank screen
* Improved stability of drag and drop and fixed bug were dragging items out of there parent could sometimes result in them disappearing
* Improved history logging, will now distinguish between new items added and existing items moved
* Improved mobile compatibility for templates and fixed issue where templates could start slightly offscreen on mobile
* improvements to in builder navigator and options to set status and name straight from dropdown
* Added separate blocks for bread crumbs and full screen. The content frame still has a native fullscreen function (hover top right to show)
* added new block called open without frame - can open current page without frame (new tab or same tab) or without uipress completely
* Improvements to multisite navigation and switching between sites and network admin
* Menu and toolbar are now more reactive to contextual changes (eg when viewing the front of your site the toolbar will pick up the edit theme option straightaway)

= 3.0.5 =
*Release Date - 19 November 2022*

* Fixed styling issue with block border option where the colour was overlapping the width
* Fixed a bug where when an admin page is set to be none (top level) for it's menu position, it doesn't show up
* Added a toggle to hide layers panel in the layers panel itself
* Fixed bug with dropdowns that could sometimes have parts offscreen
* Added option to resize side panel in the builder
* Optimised the top toolbar to make better use of space and will no wrap if the screen gets too small
* Moved templates library to the main nav in the right panel
* Modified the display preview in the builder to better handle larger templates
* Added an animation delay to drop areas to help ease drag transitions
* Switched custom padding and margins to be top, right, bottom, left
* Updated row hover color to use css var for theming
* Updated typo on stretch direction
* Fixed issue with ultimo and custom login pages
* Added overflow to block container options

= 3.0.4 =
*Release Date - 17 November 2022*

* Fixed styling issue with with back to posts button in Gutenburg
* fixed issue with toolbar where drop menus were not opening on hover
* Fixed issue with uipress pro where video block would not load up embeds
* Further performance improvements (you should notice the framed pages loading EVEN quicker now)
* Fixed bug where start page (when visiting /wp-admin for eg) could result in a blank page on some browsers and devices
* Fixed bug on mobile where template body background was not updating
* Fixed responsive grid block to work with grouped forms and dates
* Added an overflow option to content and grid blocks

= 3.0.3 =
*Release Date - 16 November 2022*

* Added option to change icon / chevron on the admin menu block
* Removed UI patterns from main admin menu - this was not supposed to be visible
* Template list table is now responsive
* Added padding and margin zero presets
* UI Improvements to the theme library and added sort by option
* improved the save to template modal and variables modal
* Added plugin version number to imported components to help with cache issues
* Forms no longer reset after submission when using them for user meta or site options
* Performance improvements and bug fixes for the gradient creator. You can now also set multiple gradient stops and number inputs have been replaced with sliders
* Updated active block highlight from a pulse animation to a thick dashed outline
* Fixed bug with form inputs where they weren't applying custom classes
* Added multisite support
* Added keyboard shortcut for saving templates
* Added a warning message when setting a template without a content block as a ui template
* Blocks are now ordered alphabetically
* Added a navigator inside the builder for switching to other templates
* Added option to the admin menu block to control style of separators
* Fixed bug with with admin menus when in inline and hover mode where hidden items and custom icons were not applying
* Added filter to template library for filtering by admin page and ui template
* When you import a template or admin page from the library, your current template updates itself to the correct type (admin page / ui template)
* Fixed bug where welcome to the builder popup would continue to show even after pressing 'don't show again
* Several performance improvements with the builder and the loading speed of the block settings tab

= 3.0.2 =
*Release Date - 9 November 2022*

* Added download count to the themes library
* Added user email to the dynamic options
* Updated core ajax filter to use wp_kses for sanitisation
* Replaced all ajax function returners with wp 'wp_send_json' function
* replaced several ajax function sanitisers to context specific sanitiser functions
* Fixed bug that could cause the dark mode not to be applied on the template frame when the dark toggle was offcanvas
* Fixed bug with heading block that would flag an error when dragged into the canvas
* Several improvements to the pattern sync process - patterns will now sync in your current template as well.
* Changed name of container options in block settings from 'Container' to 'Block container'
* Toolbar block now updates with each page change, for example if you visit the front end through thew frame you will get the edit link added to your toolbar
* Forms now have the option pre populate data for, perfect for custom profile pages and user option pages
* Updated translation pot
* Updated RTL styles

= 3.0.1 =
*Release Date - 7 November 2022*

* Added tooltip functionality to blocks
* Fixed bug with block styles not being rendered properly
* Performance updates to the builder
* Added hover / zoom effect on theme library images so you can see the theme / template in better details
* Added a link to the uiBuilder from uipress in the plugins table
* Builder zoom preference is now automatically saved and will persist through page reloads etc
* Fixed bug where 'template imported' notification would persist and not remove it's self
* Added new option for block containers | stretch direction.
* Fixed issue where inline block option tabs would overlay the inline new block / pattern option\
* Removed logout, view site and view admin buttons - these can all be created with the button block and dynamic data - makes more sense to save them out as patterns for reuse
* Added the ability to clear template
* Added multiple images to templates in the library with the ability to toggle through
* Reduced size of template JSON by about 85% resulting in huge performance improvements in the builder and when using the templates in general


= 3.0.0 =
*Release Date - 5 November 2022*

* First public release of version 3.0.0. A complete rewrite of uipress and it's functionality